Atualizar pagamento

Altera os dados de um pagamento quando necessário. Indique a identificação do pagamento e envie os parâmetros com as informações que você deseja atualizar.

PUT

https://api.mercadopago.com/v1/payments/{id}
Request parameters
Header
Authorization
string

OBRIGATÓRIO

Access Token obtido através do painel de desenvolvedores. Obrigatório ser enviado em todas as requisições.
Path
id
number

OBRIGATÓRIO

Identificador único de pagamento, gerado automaticamente pelo Mercado Pago.
Body
date_of_expiration
string
Data de expiração do pagamento. O formato válido do atributo é o seguinte - "yyyy-MM-dd'T'HH:mm:ssz". Por exemplo - 2022-11-17T09:37:52.000-04:00.
status
string
É o estado atual do pagamento. Podem ser ser dos seguintes tipos
pending: The user has not concluded the payment process (for example, to generate a payment by boleto, this payment will be concluded at the moment in which the user makes the non-corresponding payment selected);
approved: The payment was approved and credited;
authorized: The payment was authorized, but still was not captured;
Ver mais
transaction_amount
number
Custo do produto. Deve ser um número inteiro, sem casas decimais.
Response parameters
id
number
Identificador único de pagamento, gerado automaticamente pelo Mercado Pago.
date_created
string
Data de criação do pagamento.
date_approved
string
Data de aprovação do pagamento. Um pagamento pode ser gerado em um estado intermediário e depois aprovado, portanto, a data de criação nem sempre coincidirá com a Data de Aprovação.
date_last_updated
string
Data em que o último evento de pagamento foi registrado.
Erros

400Erro

8

The name of the parameters is wrong

1004

Invalid parameters for payment_method API

2018

The action requested is not valid for the current payment state.

2078

Capture attribute must be boolean.

2079

Invalid value for capture attribute.

403Erro

4

The caller is not authorized to access this resource.

3002

The caller is not authorized to perform this action.

404Erro

2000

Payment not found.

Informe dados válidos nos request parameters antes de executar.
Request
curl -X PUT \
    'https://api.mercadopago.com/v1/payments/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    -d '{
  "status": "canceled",
  "transaction_amount": 25
}'
Response
{
  "id": 20359978,
  "date_created": "2019-07-10T14:47:58.000Z",
  "date_approved": "2019-07-10T14:47:58.000Z",
  "date_last_updated": "2019-07-10T14:47:58.000Z",
  "money_release_date": "2019-07-24T14:47:58.000Z",
  "issuer_id": 25,
  "payment_method_id": "visa",
  "payment_type_id": "credit_card",
  "status": "approved",
  "status_detail": "accredited",
  "currency_id": "CLP",
  "description": "Pago Pizza",
  "taxes_amount": 0,
  "shipping_amount": 0,
  "collector_id": 448876418,
  "payer": {
    "id": 123,
    "email": "test_user_cl@testuser.com",
    "identification": {
      "number": "12345678-5",
      "type": "RUT"
    },
    "type": "customer"
  },
  "metadata": {},
  "additional_info": {
    "items": [
      {
        "id": "PR0001",
        "title": "Point Mini",
        "description": "Producto Point para cobros con tarjetas mediante bluetooth",
        "picture_url": "https://http2.mlstatic.com/resources/frontend/statics/growth-sellers-landings/device-mlb-point-i_medium2x.png",
        "category_id": "electronics",
        "quantity": 1,
        "unit_price": "25"
      }
    ],
    "payer": {
      "registration_date": "2019-01-01T15:01:01.000Z"
    },
    "shipments": {
      "receiver_address": {
        "street_name": "Av das Nacoes Unidas",
        "street_number": "4800",
        "zip_code": "7550000",
        "city_name": "Santiago",
        "state_name": "Región Metropolitana"
      }
    }
  },
  "external_reference": "MP0001",
  "transaction_amount": "25",
  "transaction_amount_refunded": 0,
  "coupon_amount": 0,
  "transaction_details": {
    "net_received_amount": 56,
    "total_paid_amount": "50",
    "overpaid_amount": 0,
    "installment_amount": 58
  },
  "fee_details": [
    {
      "type": "coupon_fee",
      "amount": 2,
      "fee_payer": "payer"
    }
  ],
  "statement_descriptor": "MercadoPago",
  "installments": 1,
  "card": {
    "id": null,
    "first_six_digits": null,
    "last_four_digits": null,
    "expiration_month": null,
    "expiration_year": null,
    "date_created": "2019-07-10T14:47:58.000Z",
    "date_last_updated": "2019-07-10T14:47:58.000Z",
    "cardholder": {
      "name": null,
      "identification": {
        "number": "12345678-5",
        "type": "RUT"
      }
    }
  },
  "notification_url": "https://www.suaurl.com/notificacoes/",
  "processing_mode": "aggregator",
  "point_of_interaction": {
    "type": "visa",
    "application_data": {
      "name": "NAME_SDK",
      "version": "VERSION_NUMBER"
    }
  }
}